Subject: Re: linux-next: build failure after merge of the final tree (wireless tree related)

From: Stephen Rothwell <[email-masked]>
Date: Thu, 12 May 2011 14:56:33 +1000

On Wed, 11 May 2011 21:37:16 -0700 Javier Cardona <[email-masked]> wrote:
>
> Hi Stephen,
> 
> On Wed, May 11, 2011 at 9:10 PM, Stephen Rothwell <[email-masked]> wrote:
> > Hi John,
> >
> > After merging the final tree, today's linux-next build (i386 defconfig)
> > failed like this:
> >
> > net/mac80211/cfg.c: In function 'sta_apply_parameters':
> > net/mac80211/cfg.c:746: error: 'struct sta_info' has no member named 'plink_state'
> 
> Sorry, I just saw this.  My apologies.  The fixup is valid but I'm
> trying to understand why it is needed.
> ieee80211_vif_is_mesh(&sdata->vif) compiles to 'false' when
> CONFIG_MAC80211_MESH is not defined... wouldn't the compiler remove
> that dead code? (Obviously it did not...)

The compiler will elide that code but only after compiling it, so the
code still has to be correct.

> Anyway, given that this is necessary, it's probably cleaner to extend
> the #ifdef block to the entire body of the outer if as follows:

I think you have the #ifdef one line too low.

-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/